## kmer-tools 0~20150520+2004

=== debian/changelog ===
kmer-tools (0~20150520+2004-1) unstable; urgency=low

  * Initial release (Closes: #784863)

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 01 May 2015 19:20:00 -0700
