=== debian/control ===
Source: kmer-tools
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends: debhelper (>= 9),
	       libbz2-dev
Standards-Version: 3.9.6
Homepage: http://kmer.sourceforge.net
Vcs-Git: git://anonscm.debian.org/debian-med/kmer-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/kmer-tools.git

Package: kmer
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 meryl
Description: suite of tools for DNA sequence analysis
 The kmer package is a suite of tools for DNA sequence analysis.
 It provides tools for searching (ESTs, mRNAs, sequencing reads);
 aligning (ESTs, mRNAs, whole genomes); and a variety of analyses
 based on kmers.
 .
 This is a metapackage depending on the executable components of the kmer suite.

Package: libkmer-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 libmeryl-dev
Description: suite of tools for DNA sequence analysis (development lib)
 The kmer package is a suite of tools for DNA sequence analysis.
 It provides tools for searching (ESTs, mRNAs, sequencing reads);
 aligning (ESTs, mRNAs, whole genomes); and a variety of analyses
 based on kmers.
 .
 This is a metapackage package depending on the development components of kmer.

Package: meryl
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: in- and out-of-core kmer counting and utilities
 meryl computes the kmer content of genomic sequences.  Kmer
 content is represented as a list of kmers and the number of
 times each occurs in the input sequences.  The kmer can be
 restricted to only the forward kmer, only the reverse kmer,
 or the canonical kmer (lexicographically smaller of the
 forward and reverse kmer at each location).  Meryl can
 report the histogram of counts, the list of kmers and their
 counts, or can perform mathematical and set operations
 on the processed data files.

Package: libmeryl-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: in- and out-of-core kmer counting and utilities (development lib)
 meryl computes the kmer content of genomic sequences.  Kmer
 content is represented as a list of kmers and the number of
 times each occurs in the input sequences.  The kmer can be
 restricted to only the forward kmer, only the reverse kmer,
 or the canonical kmer (lexicographically smaller of the
 forward and reverse kmer at each location).  Meryl can
 report the histogram of counts, the list of kmers and their
 counts, or can perform mathematical and set operations
 on the processed data files.
 .
 This package contains the static libraries and header files.
