## kmer-tools 0~20150903+r2013

=== debian/changelog ===
kmer-tools (0~20150903+r2013-1) unstable; urgency=low

  * Simplify get-orig-source script
  * Imported Upstream version 0~20150903+r2013
  * Clean up source package: move meryl manpages to a subdirectory of debian/
  * New binary packages:
    - leaff
    - sim4db
  * Drop build-dependency on libbz2-dev
  * Drop kazlib quilt patches
  * Fix section/architecture of the kmer metapackage
  * Set Vcs-Browser to point to cgit
  * Don't install other READMEs to metapackage docs
  * Update d/copyright
  * Update README.source
    - document situation with bundled kazlib
    - document reason for monolithic source package
  * Make the build system more flexible to hopefully fix build on kFreeBSD
  * Add README.Debian to let users know some components aren't yet packaged
  * Add comment for why we can't use dh --parallel

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 02 Jan 2016 16:49:00 -0800
