=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@ghraoui.name>
-Build-Depends: debhelper (>= 9),
-	       libbz2-dev
+Build-Depends:
+	debhelper (>= 9),
 Standards-Version: 3.9.6
 Homepage: http://kmer.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/debian-med/kmer-tools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/kmer-tools.git
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/kmer-tools.git
 
 Package: kmer
-Architecture: any
-Depends: ${shlibs:Depends},
-	 ${misc:Depends},
-	 meryl
+Section: metapackages
+Architecture: all
+Depends:
+	${misc:Depends},
+	meryl,
+	leaff,
+	sim4db,
 Description: suite of tools for DNA sequence analysis
  The kmer package is a suite of tools for DNA sequence analysis.
  It provides tools for searching (ESTs, mRNAs, sequencing reads);
@@ -41,6 +44,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
 	 ${misc:Depends}
+Suggests: gridengine-client
 Description: in- and out-of-core kmer counting and utilities
  meryl computes the kmer content of genomic sequences.  Kmer
  content is represented as a list of kmers and the number of
@@ -51,6 +55,8 @@
  report the histogram of counts, the list of kmers and their
  counts, or can perform mathematical and set operations
  on the processed data files.
+ .
+ This package is part of the Kmer suite.
 
 Package: libmeryl-dev
 Architecture: any
@@ -69,3 +75,42 @@
  on the processed data files.
  .
  This package contains the static libraries and header files.
+
+Package: leaff
+Architecture: any
+Depends:
+	${shlibs:Depends},
+	${misc:Depends},
+Description: biological sequence library utilities and applications
+ LEAFF (Let's Extract Anything From Fasta) is a utility program for
+ working with multi-fasta files. In addition to providing random access
+ to the base level, it includes several analysis functions.
+ .
+ This package is part of the Kmer suite.
+
+Package: sim4db
+Architecture: any
+Depends:
+	${shlibs:Depends},
+	${misc:Depends},
+Recommends:
+	leaff,
+Description: batch spliced alignment of cDNA sequences to a target genome
+ Sim4db performs fast batch alignment of large cDNA (EST, mRNA) sequence
+ sets to a set of eukaryotic genomic regions. It uses the sim4 and sim4cc
+ algorithms to determine the alignments, but incorporates a fast sequence
+ indexing and retrieval mechanism, implemented in the sister package
+ 'leaff', to speedily process large volumes of sequences.
+ .
+ While sim4db produces alignments in the same way as sim4 or sim4cc, it
+ has additional features to make it more amenable for use with whole-genome
+ annotation pipelines. A script file can be used to group pairings between
+ cDNAs and their corresponding genomic regions, to be aligned as one run
+ and using the same set of parameters. Sim4db also optionally reports more
+ than one alignment for the same cDNA within a genomic region, as long
+ as they meet user-defined criteria such as minimum length, percentage
+ sequence identity or coverage. This feature is instrumental in finding
+ all alignments of a gene family at one locus. Lastly, the output is
+ presented either as custom sim4db alignments or as GFF3 gene features.
+ .
+ This package is part of the Kmer suite.
