=== debian/watch ===
# Upstream does not make versioned releases that the watch file can track;
# Sources are retrieved as svn snapshots using the get-orig-source script
